MANDB(8)

NOME
mandb - crea o aggiorna le cache index delle pagine di manuale

SINTASSI
mandb [-dqsuc|-h|-V ] [percorso]

DESCRIZIONE
mandb è usato per inizializzare o aggiornare manualmente le cache delle basi di dati index solitamente mantenute da man. Le cache contengono importanti informazioni sullo stato corrente del sistema di pagine di manuale e le informazioni immagazzinate al loro interno sono usate dalle utility man-db per aumentare la loro velocità e funzionalità.

Quando crea o aggiorna un index, mandb genererà un avviso nel caso di richieste ROFF .so errate, di nomi di pagine di manuale fasulli e di pagine di manuale dalle quali non può essere estratto il whatis.

Fornendo a mandb una lista opzionale di percorsi separati da `:' verrà ignorata la gerarchia globale interna dei percorsi di ricerca, determinata dalle informazioni contenute nel file di configurazione di man-db.

CACHE DELLE BASI DI DATI
mandb può essere compilato con il supporto per qualsiasi fra seguenti tipi di basi di dati.

Nome | Tipo | Asinc | NomeFile
Berkeley db | Binary tree | Sì | index.bt
GNU gdbm | Hashed | Sì | index.db
UNIX ndbm | Hashed | No | index.(dir|pag)

Questi tipi di basi di dati supportano aggiornamenti asincroni privilegiando la velocità a spese di eventuali corruzioni nel caso di terminazioni inusuali. Nel caso che ciò succeda, potrebbe essere necessario rilanciare mandb con l'opzione -c per ricreare le nuove basi di dati.

OPZIONI

-d, --debug
    Produce informazioni utili al debug.

-q, --quiet
    Non produce nessun avviso.

-s, --no-straycats
    Non perde tempo a cercare o ad aggiungere informazioni ai database riguardanti le pagine di manuale delle quali non esiste il file sorgente. (N.d.T.: tali pagine di manuale sono dette in gergo stray cat page.)

-c, --create
    Di default, mandb proverà ad aggiornare le basi di dati precedentemente create. Se una base di dati non esiste, la creerà. Questa opzione forza mandb a cancellare le basi di dati precedenti e ricrearle. Ciò potrebbe essere necessario se una base di dati è rovinata o se un nuovo schema di immagazzinamento di dati verrà introdotto in futuro.

-u, --user-db
    Crea solo le basi di dati dell'utente, anche se ha i permessi per creare le basi di dati globali.

-h, --help
    Mostra un messaggio d'aiuto, poi esce.

-V, --version
    Mostra la versione, poi esce.

DIAGNOSTICI
Durante la costruzione delle basi di dati possono essere emessi i seguenti messaggi di avviso:

<nomefile>: analisi whatis per pagina(sez) fallita
    Un tentativo di estrarre la riga o le righe whatis per il dato <nomefile> è fallita. Ciò solitamente è dovuto a una pagina di manuale scritta in modo scadente, ma se sono emessi molti di questi messaggi allora probabilmente il sistema contiene delle pagine di manuale non standard che sono incompatibili con l'analizzatore whatis di man-db.

<nomefile>: è un link simbolico penzolante
    <nomefile> non esiste ma è riferito con un link simbolico. Ulteriori messaggi diagnotici sono solitamente prodotti per identificare il <nomefile> del link violante.

<nomefile>: link simbolico o richiesta ROFF `.so' errata
    <nomefile> è o un link simbolico a, oppure contiene una richiesta di inclusione ROFF di un file non esistente.

<nomefile>: nomefile fasullo ignorato
    Il <nomefile> potrebbe o meno essere un valido nome di pagina di manuale ma il suo nome non è valido. Ciò solitamente è dovuto a una pagina di manuale con estensione di sezione <x> che è stata messa nella sezione <y> delle pagine di manuale.

<nomefile_mask>: estensioni in conflitto
    La wildcard <nomefile_mask> non è unica. Ciò è causato solitamente dall'esistenza della versione compressa e non compressa della stessa pagina di manuale. Sono ignorate tutte quante tranne la più recente.

FILE

/etc/man_db.conf
    File di configurazione di man-db.

/usr/man/index.(bt|db|dir|pag)
    Una cache della base di dati globale index tradizionale.

/var/catman/index.(bt|db|dir|pag)
    Una cache della base di dati globale index alternativa e conforme con FSSTND.

VEDERE ANCHE
man(1), manpath(5), catman(8).

AUTORE
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Traduzione di Bortolozzo Giovanni (borto@pluto.linux.it)